/*
 * TCP Seqno error model: specify which specific segments to drop in tcl
 */

#include "../queue/errmodel.h"
#include "../common/ip.h"
#include "../tcp/tcp.h"

class SeqnoErrorModel : public ListErrorModel {
public:
	SeqnoErrorModel();
	int corrupt(Packet*);
	int command(int argc, const char*const* argv);
protected:
	int flowid_;
};
